<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XSdpTransparencyProfile StructType
 * @subpackage Structs
 */
class XSdpTransparencyProfile extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $name;
    /**
     * The attributeSet
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 1
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\AttributeSet[]
     */
    public $attributeSet;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $description;
    /**
     * Constructor method for XSdpTransparencyProfile
     * @uses XSdpTransparencyProfile::setName()
     * @uses XSdpTransparencyProfile::setAttributeSet()
     * @uses XSdpTransparencyProfile::setDescription()
     * @param string $name
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\AttributeSet[] $attributeSet
     * @param string $description
     */
    public function __construct($name = null, array $attributeSet = array(), $description = null)
    {
        $this
            ->setName($name)
            ->setAttributeSet($attributeSet)
            ->setDescription($description);
    }
    /**
     * Get name value
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XSdpTransparencyProfile
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get attributeSet value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\AttributeSet[]
     */
    public function getAttributeSet()
    {
        return $this->attributeSet;
    }
    /**
     * Set attributeSet value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\AttributeSet[] $attributeSet
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XSdpTransparencyProfile
     */
    public function setAttributeSet(array $attributeSet = array())
    {
        $this->attributeSet = $attributeSet;
        return $this;
    }
    /**
     * Add item to attributeSet value
     * @throws \InvalidArgumentException
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\AttributeSet $item
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XSdpTransparencyProfile
     */
    public function addToAttributeSet(\\Losc\CucmBundle\Model\Webservice\StructType\AttributeSet $item)
    {
        $this->attributeSet[] = $item;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XSdpTransparencyProfile
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
}
